LibreOffice: XChartDocument Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XChartDocument Interface Referencepublished

manages the chart document. More...

`import <XChartDocument.idl;`

Inheritance diagram for XChartDocument:

## Public Member Functions
com::sun::star::drawing::XShape | getTitle ()
com::sun::star::drawing::XShape | getSubTitle ()
com::sun::star::drawing::XShape | getLegend ()
com::sun::star::beans::XPropertySet | getArea ()
com::sun::star::chart::XDiagram | getDiagram ()
void | setDiagram ([in] com::sun::star::chart::XDiagram xDiagram)
| sets the diagram for the chart document.
com::sun::star::chart::XChartData | getData ()
void | attachData ([in] com::sun::star::chart::XChartData xData)
| attaches data to the chart.
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description.
string | getURL ()
| provides information about the location of this model
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and its state
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model.
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model.
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates.
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers().
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining.
XController | getCurrentController ()
| provides access to the controller which currently controls this model
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller.
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

manages the chart document.

See also
  XDiagram
  XChartData

## Member Function Documentation

## ◆ attachData()

void attachData | ( | [in] com::sun::star::chart::XChartData | xData | ) |

attaches data to the chart.

The given object needs to support interface XChartDataArray.

Since OOo 3.3 if the given object might support interface XComplexDescriptionAccess which allows to set complex hierarchical axis descriptions.

Since OOo 3.4 if the given object might support interface XDateCategories which allows to set date values as x values for category charts.

The given data is copied before it is applied to the chart. So changing xData after this call will have no effect on the chart.

See also
  XChartData
  XChartDataArray
  XComplexDescriptionAccess
  XDateCategories

Parameters

  xData | the object that provides the new data.

## ◆ getArea()

com::sun::star::beans::XPropertySet getArea | ( |  | ) |

Returns
  the properties of the background area of the chart document.

The area's extent is equal to the document size. If you want to access properties of the background area of the diagram, in which the actual data is represented, you have to change the chart wall which you get from the X3DDisplay.

See also
  ChartArea
  X3DDisplay

## ◆ getData()

com::sun::star::chart::XChartData getData | ( |  | ) |

Returns
  the data of the chart.

The returned object supports interface XChartDataArray which can be used to access the concrete data.

Since OOo 3.3 the returned object also supports interface XComplexDescriptionAccess which can be used to access complex hierarchical axis descriptions.

Since OOo 3.4 the returned object also supports interface XDateCategories.

See also
  XChartData
  XChartDataArray
  XComplexDescriptionAccess
  XDateCategories

## ◆ getDiagram()

com::sun::star::chart::XDiagram getDiagram | ( |  | ) |

Returns
  the diagram of the chart document.

See also
  Diagram

## ◆ getLegend()

com::sun::star::drawing::XShape getLegend | ( |  | ) |

Returns
  the shape of the legend of the chart document.

See also
  ChartLegend

## ◆ getSubTitle()

com::sun::star::drawing::XShape getSubTitle | ( |  | ) |

Returns
  the shape of the subtitle of the chart document.

Usually the subtitle is smaller than the main title by default. And it is most commonly placed below the main title by default.

See also
  ChartTitle

## ◆ getTitle()

com::sun::star::drawing::XShape getTitle | ( |  | ) |

Returns
  the shape of the main title of the chart document.

See also
  ChartTitle

## ◆ setDiagram()

void setDiagram | ( | [in] com::sun::star::chart::XDiagram | xDiagram | ) |

sets the diagram for the chart document.

Setting a new diagram implicitly disposes the previous diagram.

Parameters

  xDiagram | the new diagram that should be set for the chart. To create such a diagram component, you can use the com::sun::star::lang::XMultiServiceFactory, which should be implemented by an XChartDocument.

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XChartDocument.idl